.icon-dark-mode{display:none!important}
.dark-mode .icon-light-mode{display:none!important}
.dark-mode .icon-dark-mode{display:flow-root!important;color:rgb(255 252 0)!important}
.dark-mode .growl-notification--default {background: #00151f;}
.dark-mode .growl-notification--default:before {background: #02162b;}
.dark-mode .growl-notification--default .growl-notification__title {color: #fff;}

.dark-mode .Tr-app-scroll-container::-webkit-scrollbar{width:5px;height:100%;background-color:#02162b;}
.dark-mode .Tr-app-scroll-container::-webkit-scrollbar-Track{background:linear-gradient(135deg,#02162b 0,#02162b 100%)}

.dark-mode .h1, .dark-mode .h2, .dark-mode .h3, .dark-mode .h4, .dark-mode .h5, .dark-mode .h6, .dark-mode h1, .dark-mode h2, .dark-mode h3, .dark-mode h4, .dark-mode h5, .dark-mode h6 {
    color: #dedee0;
}
.dark-mode .Tr-label {
    color: #dedee0;
}
.dark-mode .Tr-divider {
    border-bottom: dotted 2px rgba(225, 225, 235, 0.15);
}
.dark-mode .Tr-mode-swich-animation-frame {
    background: #00151f;
}
.dark-mode .Tr-mode-swich-animation-frame .Tr-mode-swich-animation .ri-sun-line {
    color: #dedee0;
}
.dark-mode .Tr-mode-swich-animation-frame .Tr-mode-swich-animation .ri-moon-line {
    color: #dedee0;
}
.dark-mode .Tr-mode-swich-animation-frame .Tr-mode-swich-animation:before {
    border-bottom: dotted 5px #dedee0;
}
.dark-mode .Tr-app-frame {
    background-color: #02162B;
}
.dark-mode .Tr-top-bar .container .Tr-left-side .Tr-logo-frame .Tr-logo-text-pc {
    color: #f4f5f7;
}
.dark-mode .Tr-top-bar {
    top: 14px;
    background: hsl(199deg 100% 6% / 70%);
}
.dark-mode .Tr-top-bar:after {
    background-color: #001124;
}
.dark-mode .Tr-menu nav ul li ul {
    background-color: #02162b;
}
.dark-mode .Tr-menu nav ul li a {
    color: #dedee0;
}
.dark-mode .Tr-mode-switcher-place .Tr-mode-switcher i,.dark-mode .Tr-mode-switcher-place .Tr-hidden-right i {
    color: #dedee0;
}
.dark-mode .Tr-main-card-frame {
    background: hsl(199deg 100% 6% / 70%);
}
.dark-mode .Tr-sidebar .Tr-main-card:before {
    background-color: #001124;
}
.dark-mode .Tr-mc-header .Tr-avatar-frame .Tr-avatar {
    border: solid 3px #001124;
}
.dark-mode .Tr-mc-header .Tr-avatar-frame .Tr-dot {
    border: solid 3px #001124;
}
.dark-mode .Tr-mc-header .Tr-avatar-frame .Tr-dot:after {
	border: solid 3px #001124;
}
.dark-mode .Tr-main-card-frame .Tr-main-card .Tr-social a {
    color: #dedee0;
}
.dark-mode .Tr-counter-up {
    box-shadow: 0 2px 4px -2px rgb(0 0 0 / 60%);
    background-color: #001124;
    color: #dedee0;
}
.dark-mode .Tr-counter-up:before {
    background-color: #001124;
}
.dark-mode .Tr-blog-card {
    background-color: #001124;
}
.dark-mode .page_nav_number{
    color: #dedee0;
}
.dark-mode footer {
    background-color: #001124;
}
.dark-mode .Tr-contact-card {
    background: #001124;
    color: #dedee0;
}
.dark-mode form textarea {
    color: #dedee0;
    background-color: #02162b;
}
.dark-mode .form-control:focus {
    color: #dedee0;
    background-color: #02162b;
}
.dark-mode .OwO .OwO-body{background:#02162b;border:1px solid #02162b}
.dark-mode .OwO-body:before{border-top:15px solid #0b75b7}
.dark-mode .OwO .OwO-body .OwO-items .OwO-item{background:#001124}
.dark-mode .OwO .OwO-body .OwO-items .OwO-item:hover{background:#02162b}
.dark-mode .OwO .OwO-body .OwO-bar{border-top:1px solid #02162b;background:#02162b;color:#dfdfdf}
.dark-mode .OwO .OwO-body .OwO-bar .OwO-packages .OwO-package-active{background:#0b75b7}
.dark-mode .OwO .OwO-body .OwO-bar .OwO-packages li:hover{background:#0b75b7}
.dark-mode .OwO-items::-webkit-scrollbar{width:5px;height:100%;background-color:#02162b}
.dark-mode .OwO-items::-webkit-scrollbar-track{background:linear-gradient(135deg,#02162b 0,#02162b 100%)}

.dark-mode .Tr-timeline::before {
    background: #001124;
}
.dark-mode .Tr-timeline .Tr-timeline-content {
    background: #001124;
    color: #dedee0;
}
.dark-mode .Tr-timeline .Tr-timeline-content:after {
    background-color: #001124;
}
.dark-mode .Tr-timeline .Tr-timeline-title::before {
    background: #001124;
}
.dark-mode .Tr-timeline .Tr-timeline-item .Tr-timeline-mark {
    background: #001124;
}
.dark-mode .page-navigator {
    color: #dedee0;
}
.dark-mode .Tr-title-with-divider span {
    border-bottom: dotted 2px rgba(225, 225, 235, 0.15);
}
.dark-mode .Tr-counter-up .Tr-counter-number {
    color: #dedee0;
}
.dark-mode .Tr-card {
    background-color: #001124;
}
.dark-mode .Tr-tags a {
    color: #dedee0;
}
.dark-mode .Tr-blog-categories {
    background-color: #001124;
}
.dark-mode .Tr-blog-categories:before {
    background-color: #001124;
}
.dark-mode .Tr-comments-box-comment-item-content {
    background-color: rgb(2 22 43);
    color: #dedee0;
}
.dark-mode .Tr-comments-box-comment-list::-webkit-scrollbar{width:5px;height:100%;background-color:#001124}
.dark-mode .Tr-comments-box-comment-list::-webkit-scrollbar-track{background:linear-gradient(135deg,#001124 0,#001124 100%)}

.dark-mode .douban:before {
    background-color: #001124;
}
.dark-mode .Tr-links-item {
    background-color: #001124;
}
.dark-mode .Tr-links-item:before {
    background-color: #001124;
}
.dark-mode .Tr-blog-post-content blockquote {
    background-color: #02162b;
    color: #dedee0;
}
.dark-mode .Tr-photos-item,.dark-mode .Books-item,.dark-mode .Films-item {
    background-color: #001124;
}
.dark-mode .Tr-photos-card:before,.dark-mode .Books-item:before,.dark-mode .Films-item:before{
    background-color: #001124;
}
.dark-mode .Films-title, .Films-title a ,.dark-mode .Books-title, .Books-title a{
    color: #dedee0!important;
}
.dark-mode .Tr-skill-card {
    background-color: #001124;
}
.dark-mode .Tr-skill-card .Tr-progressbar-frame {
    background-color: #02162b;
}
.dark-mode .Tr-card .Tr-icon {
    color: #dedee0;
}
.dark-mode .Tr-order {
    background-color: #02162b;
}
.dark-mode .Tr-order .btn-close {
    color: #dedee0;
}
.dark-mode .Tr-popup-form-frame::-webkit-scrollbar{width:5px;height:100%;background-color:#02162b;}
.dark-mode .Tr-popup-form-frame::-webkit-scrollbar-Track{background:linear-gradient(135deg,#02162b 0,#02162b 100%)}

.dark-mode .card {
    box-shadow:none;border: none;
    background-color: #001124;
}
.dark-mode .card-body {
    background: #02162b;
}
.dark-mode .accordion>.card>.card-header{color: #dedee0;background: #02162b;}

.dark-mode .nav-tabs{border-bottom: 2px solid #02162b;background: #02162b;}
.dark-mode .nav-tabs .nav-item.show .nav-link{border-bottom:2px solid #30363e;color:#82919a}
.dark-mode .nav-tabs .nav-link.active{border-bottom:2px solid #001124;color:#dedee0}
.dark-mode .LinkCard .LinkCard-content{background-color:rgb(2 22 43)}
.dark-mode .LinkCard .LinkCard-content .LinkCard-text .LinkCard-title{color:#ebebeb}
.dark-mode .LinkCard .LinkCard-content .LinkCard-imageCell .LinkCard-image.LinkCard-image-default{background-color:#001124}
.dark-mode .secret{background:repeating-linear-gradient(145deg ,#02162b,#02162b 15px,#001124 0,#001124 30px);color: #dedee0;}
.dark-mode .secret-textarea{background:repeating-linear-gradient(145deg ,#02162b,#02162b 15px,#001124 0,#001124 30px)}
.dark-mode .reply2view{background:repeating-linear-gradient(145deg ,#02162b,#02162b 15px,#001124 0,#001124 30px)}
.dark-mode .secret-label{background-color:#02162b;border:1px solid #02162b}
.dark-mode .secret-label .circle{background-color:#0b75b7}
.dark-mode .post-near li a {
    background-color: #001124;
    color: #dedee0;
}
.dark-mode #Tr-comments-info .Tr-popup-content {
    color: #dedee0;
    background: hsl(199deg 100% 6% / 70%);
}
.dark-mode #Tr-comments-info .Tr-popup-form-frame input {
    color: #dedee0;
    background-color: #001124;
}
@media (max-width: 1200px){
    .dark-mode .Tr-top-bar {
        top: 0px;
    }
    .dark-mode .Tr-top-bar .container .Tr-right-side {
        background-color: #02162b;
    }
    .dark-mode .Tr-right-side-head-info {
        color: #dedee0;
        background: #001124;
        box-shadow: 0px 0px 20px -5px rgb(22 22 22 / 22%);
    }
    .dark-mode .Tr-menu {
        background: #001124;
        box-shadow: 0px 0px 20px -5px rgb(22 22 22 / 22%);
    }
    .dark-mode .Tr-mode-switcher-place {
        background: #001124;
        box-shadow: 0px 0px 20px -5px rgb(22 22 22 / 22%);
    }
    .dark-mode .Tr-menu-btn span,.dark-mode .Tr-menu-btn span:after,.dark-mode .Tr-menu-btn span:before {
        background: #dedee0;
    }
}
#universe{display:none}
.dark-mode #universe{display:block;position:fixed;margin:0;padding:0;border:0;outline:0;left:0;top:0;width:100%;height:100%;pointer-events:none;z-index:3}